diff -Naur gnome-hearts-0.3.1.orig/configure.in gnome-hearts-0.3.1/configure.in
--- gnome-hearts-0.3.1.orig/configure.in	2013-06-09 15:05:11.000000000 +0200
+++ gnome-hearts-0.3.1/configure.in	2017-01-20 23:20:35.677689797 +0100
@@ -23,7 +23,7 @@
 fi
 
 # Check for libraries. gmodule is required to make sure --export-dynamic is used and glade works
-PKG_CHECK_MODULES(GNOME_HEARTS, [libgnomeui-2.0 gtk+-2.0 libglade-2.0 glib-2.0 gmodule-2.0])
+PKG_CHECK_MODULES(GNOME_HEARTS, [gtk+-2.0 libglade-2.0 glib-2.0 gmodule-2.0])
 AC_SUBST(GNOME_HEARTS_CFLAGS)
 AC_SUBST(GNOME_HEARTS_LIBS)
 
diff -Naur gnome-hearts-0.3.1.orig/src/events.c gnome-hearts-0.3.1/src/events.c
--- gnome-hearts-0.3.1.orig/src/events.c	2013-06-09 15:01:08.000000000 +0200
+++ gnome-hearts-0.3.1/src/events.c	2017-01-20 23:35:17.428651148 +0100
@@ -71,13 +71,13 @@
 /* Open the help file */
 void on_help(GtkWidget *widget, gpointer data)
 {
-	gnome_help_display("gnome-hearts.xml", NULL, NULL);
+	gtk_show_uri(NULL, "ghelp:gnome-hearts", GDK_CURRENT_TIME, NULL);
 }
 
 /* Open the preferences help file */
 void on_preferences_help(GtkWidget *widget, gpointer data)
 {
-	gnome_help_display("gnome-hearts.xml", "hearts-prefs", NULL);
+	gtk_show_uri(NULL, "ghelp:gnome-hearts?hearts-prefs", GDK_CURRENT_TIME, NULL);
 }
 
 /* About menu item */
diff -Naur gnome-hearts-0.3.1.orig/src/hearts.c gnome-hearts-0.3.1/src/hearts.c
--- gnome-hearts-0.3.1.orig/src/hearts.c	2013-06-09 15:01:08.000000000 +0200
+++ gnome-hearts-0.3.1/src/hearts.c	2017-01-20 23:20:21.447210208 +0100
@@ -534,15 +534,11 @@
 		setlocale(LC_ALL, "");
 	#endif
 
-	/* Initialize GNOME */
+	/* Initialize GTK+ */
 	GOptionContext *option_context = g_option_context_new(_("- Play a game of hearts"));
 	g_option_context_add_main_entries(option_context, option_entries, GETTEXT_PACKAGE);
 
-	gnome_program_init(PACKAGE, VERSION, LIBGNOMEUI_MODULE,
-			argc, argv,
-			GNOME_PARAM_GOPTION_CONTEXT, option_context,
-			GNOME_PARAM_APP_DATADIR, PACKAGE_DATA_DIR,
-			GNOME_PARAM_NONE);
+	gtk_init(&argc, &argv);
 	
 	/* init the game's global variables */
 	game_score_labels = NULL;
diff -Naur gnome-hearts-0.3.1.orig/src/hearts.h gnome-hearts-0.3.1/src/hearts.h
--- gnome-hearts-0.3.1.orig/src/hearts.h	2013-06-09 15:01:08.000000000 +0200
+++ gnome-hearts-0.3.1/src/hearts.h	2017-01-20 23:22:33.691604109 +0100
@@ -26,7 +26,7 @@
 /* headers */
 #include <glib/gi18n.h>
 #include <dirent.h>
-#include <gnome.h>
+#include <gtk/gtk.h>
 #include <glade/glade.h>
 #include "cards.h"
 #include "cfg.h"
